Bug 1323538 - OpenChrome driver 0.4.0 released
Summary: OpenChrome driver 0.4.0 released
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome
Version: 23
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-04 00:41 UTC by Jeffrey Walton
Modified: 2016-04-26 21:21 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-drv-openchrome-0.4.0-1.fc24 xorg-x11-drv-openchrome-0.4.0-1.fc23 xorg-x11-drv-openchrome-0.4.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 17:25:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1309555 None None None 2016-04-04 00:45:00 UTC

Description Jeffrey Walton 2016-04-04 00:41:53 UTC
OpenChrome 0.4.0 was released by the Freedesktop folks. The message on the OpenChrome developer mailing list is available at "[ANNOUNCEMENT] OpenChrome Version 0.4.0 is finally released" (http://lists.freedesktop.org/archives/openchrome-devel/2016-April/002193.html). Hats off to Kevin Brace for the hard work in improving the driver.

The updated driver is a minor maintenance release to improve stability. It also fixes a number of problems with Via graphics chipsets. These are prevalent in less expensive PCs and thin clients.

The exiting buggy OpenChrome 0.3.3 driver caused Fedora's LiveCD/LiveDVD built with LXDE desktop fail to load. I have two or three computers in the "less expensive" and "thin client" class to test OpenSSL and Crypto++ on them (I contribute to both projects on occasion). I prefer to use Fedora but I can't because of the crashes. Also see "Crash in Xorg server due to VIA P4M900 chipset and OpenChrome driver" (http://bugzilla.redhat.com/show_bug.cgi?id=1309555).

The severity was left at "unspecified" because Via graphic chipsets are one of many, so it only makes up a small segment of the population. If the buggy driver is crashing on your Via hardware then it probably should be "urgent" :)

Please consider updating to the new OpenChrome driver. Then, consider building new ISOs. I'd be happy to test one for the project.

Comment 1 Fedora Update System 2016-04-13 20:46:30 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-79c8dbc69c

Comment 2 Fedora Update System 2016-04-13 20:46:48 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa649e14be

Comment 3 Fedora Update System 2016-04-13 20:46:59 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-21a987a407

Comment 4 Fedora Update System 2016-04-15 08:37:58 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-21a987a407

Comment 5 Fedora Update System 2016-04-16 19:26:52 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-79c8dbc69c

Comment 6 Fedora Update System 2016-04-16 19:28:10 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa649e14be

Comment 7 Fedora Update System 2016-04-18 17:25:48 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-04-19 01:21:23 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-26 21:21:06 UTC
xorg-x11-drv-openchrome-0.4.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.